Skip to content

← Endpoint reference

GET /api/v1/ports/{unlocode}

A port

The port page as JSON, by UN/LOCODE (case-insensitive).

1 creditWorks without a key

Parameters
NameInDescription
unlocode(required)pathFive-character UN/LOCODE.
Request
curl -H "Authorization: Bearer $SEADAR_API_KEY" \
  https://www.seadar.io/api/v1/ports/nlrtm
Response (abridged)
{
  "type": "vessel",
  "apiVersion": "preview",
  "page": "https://www.seadar.io/vessel/9811000-ever-given",
  "imo": 9811000,
  "mmsi": …,
  "name": "EVER GIVEN",
  "data": {
    "inspections": [ { "date": "…", "type": "…", "port": "…" } ],
    "emissions": [ { "year": 2024, "co2T": …, "fuelT": …, "timeAtSeaH": … } ],
    "sanctions": [],
    "companies": [ { "role": "registered_owner", "name": "…", "sources": ["eu_mrv"] } ]
  },
  "withheld": [
    { "section": "lastPosition", "sources": ["aisstream"], "reason": "source_not_licensed_for_api" },
    { "section": "particulars", "sources": ["seadar_legacy_vessels"], "reason": "source_not_licensed_for_api" }
  ],
  "attribution": [ "…" ],
  "license": [ "…" ],
  "sources": ["eu_mrv", "uscg_psix"],
  "generatedAt": "2026-09-23T12:00:00.000Z"
}